Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Accept_QoS_Params Class Reference

Wrapper class that simplifies the information passed to the QoS enabled method. More...

`#include <OS.h>`

List of all members.

## Public Methods
| ACE_Accept_QoS_Params (ACE_QOS_CONDITION_FUNC qos_condition_callback = 0, u_long callback_data = 0)
ACE_QOS_CONDITION_FUNC | qos_condition_callback (void) const
void | qos_condition_callback (ACE_QOS_CONDITION_FUNC qcc)
u_long | callback_data (void) const
void | callback_data (u_long cd)
## Private Attributes
ACE_QOS_CONDITION_FUNC | qos_condition_callback_
u_long | callback_data_

## Detailed Description

Wrapper class that simplifies the information passed to the QoS enabled method.

## Constructor & Destructor Documentation

ACE_INLINE ACE_Accept_QoS_Params::ACE_Accept_QoS_Params ( | ACE_QOS_CONDITION_FUNC qos_condition_callback = 0,
| u_long callback_data = 0 )

| Initialize the data members. The <qos_condition_callback> is the address of an optional, application-supplied condition function that will make an accept/reject decision based on the caller information pass in as parameters, and optionally create or join a socket group by assinging an appropriate value to the result parameter <g> of this function. The <callback_data> data is passed back to the application as a condition function parameter, i.e., it is an Asynchronous Completion Token (ACT).

## Member Function Documentation

ACE_INLINE void ACE_Accept_QoS_Params::callback_data ( | u_long cd )

ACE_INLINE u_long ACE_Accept_QoS_Params::callback_data ( | void ) const

ACE_INLINE void ACE_Accept_QoS_Params::qos_condition_callback ( | ACE_QOS_CONDITION_FUNC qcc )

ACE_INLINE ACE_QOS_CONDITION_FUNC ACE_Accept_QoS_Params::qos_condition_callback ( | void ) const

## Member Data Documentation

u_long ACE_Accept_QoS_Params::callback_data_`[private]`

| This data is passed back to the application as a condition function parameter, i.e., it is an Asynchronous Completion Token (ACT).

ACE_QOS_CONDITION_FUNC ACE_Accept_QoS_Params::qos_condition_callback_`[private]`

| This is the address of an optional, application-supplied condition function that will make an accept/reject decision based on the caller information pass in as parameters, and optionally create or join a socket group by assinging an appropriate value to the result parameter <g> of this function.

The documentation for this class was generated from the following files:

- OS.h
- OS.i